# Generated by rust2rpm
%bcond_without check
%global debug_package %{nil}

%global crate libgit2-sys

Name:           rust-%{crate}
Version:        0.7.2
Release:        2%{?dist}
Summary:        Native bindings to the libgit2 library

License:        MIT or ASL 2.0
URL:            https://crates.io/crates/libgit2-sys
Source0:        https://crates.io/api/v1/crates/%{crate}/%{version}/download#/%{crate}-%{version}.crate
# Doesn't seem to be upstreamable
Patch0:         0001-build.rs-always-use-pkg-config.patch

ExclusiveArch:  %{rust_arches}

BuildRequires:  rust-packaging
# [dependencies]
BuildRequires:  (crate(curl-sys) >= 0.4.0 with crate(curl-sys) < 0.5.0)
BuildRequires:  (crate(libc) >= 0.2.0 with crate(libc) < 0.3.0)
BuildRequires:  (crate(libssh2-sys) >= 0.2.4 with crate(libssh2-sys) < 0.3.0)
BuildRequires:  crate(libz-sys) >= 0.1.2
BuildRequires:  (crate(openssl-sys) >= 0.9.0 with crate(openssl-sys) < 0.10.0)
# [build-dependencies]
BuildRequires:  (crate(cc) >= 1.0.0 with crate(cc) < 2.0.0)
BuildRequires:  (crate(cmake) >= 0.1.2 with crate(cmake) < 0.2.0)
BuildRequires:  (crate(pkg-config) >= 0.3.0 with crate(pkg-config) < 0.4.0)
BuildRequires:  pkgconfig(libgit2)

%description
%{summary}.

%package        devel
Summary:        %{summary}
Requires:       pkgconfig(libgit2)
BuildArch:      noarch

%description    devel
Native bindings to the libgit2 library.

This package contains library source intended for building other packages
which use %{crate} from crates.io.

%prep
%autosetup -n %{crate}-%{version} -N
# Bundled deps
rm -vrf libgit2
%autopatch -p2
%cargo_prep

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%files          devel
%license LICENSE-MIT LICENSE-APACHE
%{cargo_registry}/%{crate}-%{version}/

%changelog
* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Wed May 30 2018 Josh Stone <jistone@redhat.com> - 0.7.2-1
- Update to 0.7.2

* Mon Mar 12 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.7.1-1
- Update to 0.7.1

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.19-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Tue Jan 09 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.6.19-1
- Update to 0.6.19

* Mon Jan 08 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.6.18-2
- Rebuild for rust-packaging v5

* Sun Dec 24 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.6.18-1
- Update to 0.6.18

* Wed Dec 13 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.6.17-1
- Update to 0.6.17

* Sun Dec 03 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.6.16-2
- Fix end-of-line

* Sun Nov 26 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.6.16-1
- Initial package
